v1.5.188 - Apr 21, 2016

#6753 Wraps worker script if its cross-origin location is detected.
#6915 Refactor lookup hash tables/objects
#6934 Adjust a comment discussing transferred ArrayBuffers, to refer to those buffers being detached, not neutered (consistent with bug 1079844)
#6921 Always display deprecated messages, regardless of the verbosity setting
#6940 Ensure that we don't modify the Dict data when the Differences array of a font contains indirect objects
#6953 Correct the upper bound used when building the transferMap for SMasks (PR 6723 followup)
#6904 Destroy workers when they are no longer needed in the unit tests
#6913 Improve work-around for importScripts bug.
#6938 Fix 'Ready' message sequence for Firefox ext disabled worker.
#6933 Make type 1 font program decryption faster.
#6954 Various setGState improvements
#6971 Replace getAll with getKeys in PartialEvaluator_hasBlendModes to speed up loading of badly generated PDF files (issue 6961)
#6941 Allow local PDF files to be viewed in local frames
#6973 Fix a typo in api.js
#6972 Replace getAll with getKeys in loadType3Data
#6975 Get rid of getAll usage in colorspace.js
#6939 Use UglifyJS to minify files in minified target
#6856 move hasHtml to AnnotationElement
#6982 Remove the only remaining Dict_getAll usage (in evaluator.js) and the method itself
#6987 Remove Opera from the README file as they removed the extension
#6985 Remove XHTML leftovers from the viewer HTML files
#6998 [api-minor] Change getOutline to actually return the RGB color of outline items
#6984 Update JpegImage.getData to support forceRGBoutput for images with numComponents === 1 (issue 6066)
#7007 [Addon] Catch errors in getFindBar (in PdfStreamConverter.jsm) to fix loading of PDF files in the bookmark sidebar (bug 1248959)
#7012 [api-minor] Don't render highlight/underline/squiggly/strikeout annotations that doesn't have popup
#7009 [api-minor] Always expose data.title and data.contents for TextAnnotation
#6988 Implement support for FileAttachment annotations
#7016 Group popup creation code and apply it to more annotation types
#7030 Remove the hasImage property from PDFThumbnailView
#7031 Add a default title for outline items, to prevent display issues if the title is missing
#7036 [SVG] Specify the PDFJS.cMapUrl/PDFJS.cMapPacked parameters in the svgviewer example
#7035 Ensure that PDFFindController_reset actually resets all state (issue 7034)
#7038 Move the sidebar related code from viewer.js into PDFSidebar
#7040 Remove PDFThumbnailViewer_ensureThumbnailVisible
#6879 Makes PDF data reading Streams API friendly.
#7049 Avoid accidentally getting the entire font file in readNameTable (issue 7020)
#7023 Only draw glyphs on canvas if they are in the font or the font file is missing.
#7050 For CIDFontType2 use CID as glyph ID when missing CID to GID map.
#7052 Reverts back un-need change made at #6879.
#6943 Add support for bold/italic styled outline items in the viewer
#7054 Correct a minor name issue in the outline viewer code
#7061 Introducing gulp
#7063 Migrate clean and importl10n target to gulp
#7029 [PDFThumbnailView] Re-factor the canvas to image conversion such that we always render to a canvas, and then replace it with an image once rendering is done
#7046 fonts.js: bad metric overrides when values are zero
#7069 Convert uniXXXX glyph names to proper ones when building the charCodeToGlyphId map for TrueType fonts (bug 1132849, issue 6893, issue 6894)
#6906 avoid apply transform twice for composite context
#7084 Revert renaming node make to gulp for mozcentral
#7088 Pass the PDFJS.postMessageTransfer parameter to the worker, so that the MessageHandler can be setup correctly in createDocumentHandler (issue 6957)
#7093 Use the correct path when checking if a /l10n directory exists, to avoid errors during gulp importl10n (PR 7063 followup)
#7039 Refactors CMapFactory.create to make it async
#7098 Ensure that TrueType font tables have uint32 checksums
#7100 Removes core/stream circular dependency on core/parser.
#7105 Add an ISSUE_TEMPLATE
#7005 Fixes insertion of blank pages during print if page sizes differ
#7108 Removes frontWindow usage from the stream converter.
#7113 Disables issue6961 test.
#7053 Removes global PDFJS usage from the src/core/.
#7122 Allow unit-tests to use linked PDF files, by having the unittest command download unavailable ones (issue 7117)
#7118 Prevent failures in the Annotation code if the Rect array contains indirect objects (issue 7115)
#7129 Updates Jasmine version.
#7128 Add unit-tests for destionations in /Names (NameTree) dictionaries where all entries are indirect objects
#7102 Log uncaught global errors.
#7133 Faster unit-tests by using beforeAll/afterAll in api_spec.js
#7066 Parse Type1 font files to determine the various Length{n} properties, instead of trusting the PDF file (issue 5686, issue 3928)
#7078 Refactor the building of toFontChar for non-embedded fonts
#7106 Keep track of the character to glyph mapping in font_renderer.js, to prevent errors when different characters point to the same glyph (issue 7101)
#7134 Refactors to remove stream.js dependency on colorspace.js
#7107 Detect premature worker load error
#7146 Extract CFFParser and Type1Parser from fonts.js
#7148 Forces UMD header to have relative path and extension for CommonJS.
#7114 [Bug 1237908] Make pdf.js use the correct principal origin attributes when loading …
#7144 Prepare viewer.js for async loading and module separation.
#7150 Initial browserify example.
#7158 Update Webpack and Browserify example README files
#7169 Specifies package format for jspm.
#7164 Use beforeAll/afterAll in isExternalLinkTargetSet in dom_utils_spec.js (issue 6905)
#7126 Move all PDFJS display/ usages into global.js file.
#7097 Prevents document zooming if still scrolling and meta keys pressed (Issue #7022)
#7170 Prevent the entire viewer from zooming, when quickly switching from scrolling to zooming using the mousewheel (PR 7097 followup)
#7174 Use beforeAll/afterAll in CipherTransformFactory in crypto_spec.js (issue 6905)
#7171 Remove the remaining usages of new {Name,Cmd} in favor of {Name,Cmd}.get
#7175 Use beforeAll/afterAll in font_spec.js (issue 6905)
#7178 Removes hijack describe() hack from unit tests.
#7176 Allow SMask be resumed after restore() and better transform after SMask
#7184 [Bug 1260585] Stops bleeding of pattern edges for mesh.
#7185 Support almond.js #7177
#7189 Removing "entry-loader" dependency from webpack.
#7172 Introduces UMD headers to the web/ folder.
#7191 Export the DefaultAnnotationLayerFactory to prevent the viewer components from breaking (PR 7172 followup)
#7201 Ensure that the params parameter of the PredictorStream is a dictionary (issue 7200)
#7197 Remove combineUrl and replace it with new URL. Issue #7183, for reference.
#7190 Dispatch a sidebarviewchanged event in PDFSidebar when the view changes
#7116 Refactor LinkAnnotation slightly, improve handling of the GoToR action, and add unit-tests
#7206 Expose a few non-classes on PDFViewerApplication
#7207 Convert the hand tool to a class
#7211 Add a couple of CipherTransformFactory unit-tests for blank passwords, and move the isDict unit-tests to the correct file
#7210 Split the two paths in PDFImage.resize into separate helper functions, placed in colorspace.js and image.js
#7219 Convert the password prompt to a class
#7233 Adjust incorrect first obj number of "free" xref entry in XRef_readXRefTable (issue 7229)
#7209 Moves all document.getElementById lookups into viewer.js
#7235 Version 1.5

v1.4.20 - Jan 27, 2016

#6758 Fix incorrect position of text widget
#6683 Adds UMD headers to core, display and shared files.
#6762 Only export Uint32ArrayView when it's actually defined, to prevent breaking e.g. the Firefox addon/built-in version
#6764 Collapses UMD headers in bundled files.
#6766 Bump versions to 1.3.
#6773 Changing Firefox Addon ID
#6765 Remove unused variables
#6767 Strip referrer from link annotation.
#6778 Fixing externalLinkTarget
#6772 Remove a superfluous "s" in AnnotationsLayerBuilder from files in web/
#6770 Refactor annotation display layer code to use classes
#6780 Implement annotation layer regression testing
#6787 Change test-case issue4914 to an annotations test
#6785 Adds/modifies examples for node.js and webpack.
#6792 Implement support for Popup annotations
#6805 Do not modify data.rect in AnnotationElement_createContainer, since that will corrupt the annotation position on subsequent calls
#6808 Rename and reorder link annotation CSS
#6814 Ensure that the baseTransform is applied when rendering annotations
#6807 Ensure that hidden popups do not use any space
#6813 Implement support for Underline annotations
#6821 Bug 951051 - Better crypto key length recovery.
#6771 Removes hardcoded module loading order
#6819 Implement support for StrikeOut annotations
#6823 Implement support for Squiggly annotations
#6827 Implement support for Highlight annotations
#6724 Add validation for callsubr and callgsubr for type 2 charstrings.
#6837 Fix a typo in the "file" entry for issue3694_reduced in test_manifest.json
#6834 Strip null (\x00) characters from the URLs in LinkAnnotations (issue 6832)
#6842 Update the link location for 'intelisa.pdf' to point to the Internet Archive
#6843 shading-pattern: Decreased Shadings.SMALL_NUMBER
#6825 Adds UMD header to pdf.js and pdf.worker.js files.
#6820 Apply Patterns, if necessary, when rendering text
#6839 Check that CIDFontType0 fonts does not actually contain OpenType font files (issue 6782)
#6855 Issue 6854 - Update the link locations to point to the Internet Archive for tests: 20130226130259, JST2007-5, P020121130574743273239, SFAA_Japanese, TaroUTR50SortedList112
#6858 Issue 6854 - Re-enable testing of 'aboutstacks.pdf'
#6859 Update five linked test cases to point to the Internet Archive
#6860 Issue 6854 - Update the link locations to point to the Internet Archive for tests: artofwar, bpl13210, bug766138, bug808084, bug887152
#6862 Issue 6854 - Update the link locations to point to the Internet Archive for tests: cable, fips197, fit11-talk, geothermal, hmm
#6853 Update the link location for 'issue3666.pdf' to point to the Internet Archive
#6864 Update links to point to the Internet Archive for ohkubo-SS04, pal-o47, pdf, piperine and preistabelle
#6865 Update the linked test case hmm.pdf to point to the intended version
#6846 Use URL constructor for combineURL.
#6873 Add an extra set of // to the comment for the URL polyfill, since the preprocessor eats one set, thus breaking the world (PR 6846 followup)
#6867 Disable e10s.
#6866 Issue 6854 - Update the link locations to point to the Internet Archive for tests: html5checker, hudsonsurvey, ichiji, issue1010, issue1015
#6869 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue1049, issue1096, issue1127, issue1133, issue1169
#6871 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue1233, issue1257, issue1309, issue1317, issue1419
#6875 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue1466, issue1629, issue1658, issue1685, issue1687
#6876 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue1709, issue1721, issue1729, issue1796, issue1810
#6878 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue1878, issue1912, issue1936, issue1998, issue2006
#6880 Update links to point to the Internet Archive for issue818, issue919, jai, liveprogramming and mao
#6881 Update links to point to the Internet Archive for issue3384, issue3848, issue3903, issue3925 and issue5592
#6884 Remove 'tcpdf_033.pdf.link', since it has been replaced with a reduced test-case
#6883 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue2129, issue2139, issue2386, issue2442, issue2531
#6885 Replace the linked test-case for issue 1155 with a reduced one
#6886 Issue 6854 - Update the link locations to point to the Internet Archive for tests: issue2829, issue2853, issue2881, issue3062, issue3999
#6887 Remove 'issue2537.pdf.link', since it has been replaced with a reduced test-case
#6888 Update links to point to the Internet Archive for issue1597, issue2627 and kdchart
#6848 [TrueType] Recover from a missing "glyf" table by replacing it with dummy data, utilizing the existing code in sanitizeGlyphLocations
#6895 Update links to point to the Internet Archive for issue2799 and issue5726
#6822 [api-minor] Add support for URLs in the document outline
#6900 Set type="password" for the PasswordPrompt input dynamically, to prevent unnecessary warnings in Firefox for http:// documents (issue 6898)
#6891 Map missing glyphs to the notdef glyph for TrueType (3, 1) fonts regardless if the 'post' table is defined or not (issue 6889)
#6803 [api-minor] Add support for PageLabels in the API
#6916 Allow foriegn origin URLs only for hosted viewers.
#6918 Bump version to 1.4
#6919 Update beta and stable.
#6922 Prevent failures in the "scanning for endstream" code, in Parser_makeStream, by handling the case where 'endstream' is split between contiguous chunks (issue 1536)
#6928 Fixes URL polyfill check for MS Edge.
#6930 [api-minor] Change getPageLabels to always return the pageLabels, even if they are identical to standard page numbering

v1.3.91 - Jan 24, 2016

#6873 Add an extra set of // to the comment for the URL polyfill, since the
      preprocessor eats one set, thus breaking the world (PR 6846 followup)

v1.3.90 - Jan 19, 2016

#6846 Use URL constructor for combineURL.
#6916 Allow foreign origin URLs only for hosted viewers.

v1.3.88 - Dec 15, 2015

#6633 Replace the unavailable linked test-case for issue 3263 with a reduced
      test-case
#6637 Replace the unavailable linked test-case for issue 3207 with a reduced
      test-case
#6638 Replace the unavailable linked test-case for issue 1655 with a reduced
      test-case
#6639 Replace the unavailable linked test-case for PR 197 with a reduced
      test-case
#6642 Replace the unavailable linked test-cases for PR 2606 with reduced
      test-cases
#6645 Replace the unavailable linked test-case for issue 3405 with a reduced
      test-case
#6627 Uses editorconfig to maintain consistent coding styles
#6646 Version 1.2.109
#6647 Replace the unavailable linked test-case for issue 845 with a reduced
      test-case
#6640 Apply transformation matrix to RadialGradient radiuses
#6551 [api-minor] Enables subpixel anti-aliasing for most of the content.
#6656 Replace the unavailable linked test-case for issue 1055 with a reduced
      test-case
#6662 Ensure that the hidden attribute is always removed from the canvas when
      rendering is complete (issue 6661)
#6653 Version 1.3
#6619 [api-minor] Moving text layer rendering into src/display and better
      "text" testing.
#6665 Update README.md to add Seamonkey compatibility
#6669 Use DEFAULT_SCALE instead of 1.0 as the default value if the scale
      option isn't specified when initializing PDFPageView
#6672 Refactor annotation flags code
#6671 Make stripCommentHeaders less greedy, to ensure that it doesn't eat 'use
      strict' directive at the top of files (PR 6627 follow-up)
#6676 document_colors_disabled shouldn't escape quotes (compare-locales
      warning)
#6677 Restore the data.annotationFlags parameter for annotations (PR 6672
      follow-up)
#6675 [api-minor] Let getAnnotations fetch all annotations by default, unless
      an intent is specified
#6679 Improve the comment and deprecation warning for
       PDFJS.openExternalLinksInNewWindow
#6571 [api-minor] Allows a worker to handle multiple documents.
#6681 [api-minor] Add a parameter to PDFPageProxy_getTextContent that enables
      replacing of all whitespace with standard spaces in the textLayer
      (issue 6612)
#6693 Worker shall wait for MessageHandler to be created at api side.
#6697 Set error font for Type3 if its loading failed.
#6700 Replace font.bindDOM() with font.createFontFaceRule() in the FontLoader
      for MOZCENTRAL specific code (PR 6571 follow-up)
#6699 Improve code structure of the annotation code
#6695 Ensure that Lexer_getName does not fail if a Name contains in invalid
      usage of the NUMBER SIGN (#) (issue 6692)
#6701 Make use of Util.inherit in src/core/pdf_manager.js
#6698 [api-minor] Replaces UnsupportedManager with callback.
#6712 Use default line height for the text layer
#6715 Remove glyph id's outside the range of valid glyphs.
#6720 Fixes canvas state after smask group ends.
#6725 Fix the charCodeOf method in IdentityToUnicodeMap in order to prevent
      text selection from breaking
#6727 Replaces test for #6720 to fix botio-linux slow script.
#6723 Adds transfer function support for SMask.
#6736 Use adjustWidths for TrueType fonts if we handle them as OpenType
      (issue 5027, issue 5084, issue 6556, bug 1204903)
#6739 [Firefox] Prevent internal links from displaying
      "resource://pdf.js/web/" on hover, by tweaking the fallback case in
      PDFLinkService_getDestinationHash
#6651 Fix chars scaling for standard fonts. (redo of #4908)
#6733 Let Travis lint using node make lint, instead of a hard-coded command
#6743 Update the Node.js version used by Travis, to prevent deprecation
      warnings in the output
#6745 Reset the styleElement when clearing out loaded fonts (bug 1232071)
#6747 Remove the superfluous PDFJS.disableFontFace = false; statement at the
      top of font_loader.js (issue 6742)
#6684 shading-pattern: While drawing patterns, use transform to baseTransform
      first
#6757 Implement constants for all annotation types
#6714 [api-minor] Move annotation DOM manipulation logic to
      src/display/annotation_layer.js

v1.2.109 - Nov 13, 2015

Changes:

#6464 Version 1.1.469
#6200 Refactor the previous history rewriting logic
#6450 Update the link location for the issue3115 test file
#6452 Replace the unavailable linked test-case for PR 2875 with a reduced
      test-case
#6482 Ensure that the baseTransform is always defined for TilingPatterns
#6468 Don't clear the canvas until re-rendering is finished when the scale or
      rotation is changed (issue 6467)
#6475 Tweak PDFPageView to reflect that this.annotationLayer is an
      AnnotationsLayerBuilder instance, instead of a DOM element
      (PR 5552 follow-up)
#6485 Prevent PartialEvaluator_buildFormXObject from failing if the Matrix or
      BBox contains indirect objects
#6411 Remove Parser_fetchIfRef since it's obsolete
#6489 Upstream changes from Bug 1202902 - Give loader scripts and XUL frame
      scripts a lexical scope that doesn't break everything?
#6473 Upstream the changes from Bug 1165272 - unify Get*CodebasePrincipal with
      createCodebasePrincipal in nsIScriptSecurityManager
#6501 Slightly improved getPage unit-tests
#6494 Add a unit-test for bug 1020226
#6491 Make XRef_indexObjects even more robust against bad PDF files, by
      checking for the existence of 'trailer' if 'xref' is not found
#6500 Add a (linked) test-case for PR 4897
#6499 Add a (linked) load test for issue 4387
#6503 Follow-up to PR 6489 - Upstream changes from Bug 1202902
#6502 Add a reduced load test-case for bug 1020858
#6476 Right-size the map array in PartialEvaluator_readToUnicode
#6520 [CRX] Call callback instead of onCompleted
#6434 Replace the unavailable linked test-case for issue 4436 with a reduced
      test-case
#6524 Fix a regression, from PR 5356, that breaks all scrolling in
      PresentationMode
#6481 Add a (linked) test-case for issue 4914
#6528 Ensure that Dict_getArray doesn't fail if xref in undefined
      (PR 6485 follow-up)
#6531 Fixes bluebeam password protection issue
#6532 Add unit-tests for PR 6531
#6540 Add unit-tests for the onPassword/onProgress callbacks of the API
#6550 Ignore operators that are known to be unsupported
#6543 Prevent getOperatorList from failing to correctly parse OPS.paintXObject
      for TilingPatterns that are missing some /Resources entries (issue 6541)
#6554 Add a reduced test-case for issue 4575
#6557 Pushing update reason for gh-pages and bower.
#6546 [api-minor] Adds controlled destruction of the worker.
#6555 Update version number for minor API changes.
#6558 Add a reduced test-case for issue 6151
#6560 Prevent TypeError: page is undefined when the document has been
      destroyed (PR 6546 follow-up)
#6562 Improved get fingerprint unit-tests (PR 5124)
#6566 Add a totalLength getter to OperatorList, since the length is zero after
      flushing
#6568 [api-minor] Add an optional param to DocumentInitParameters for speci…
#6552 Better CSS scaling for deviceRixelRatio != 1.
#6578 Ignore any pending data when worker is terminated.
#6576 Replace the linked test-case for issue 1293 with a reduced test-case
#6445 Fix exception when rotate page without a document
#6580 Find match count (rebase of #5051)
#6585 Replace the linked test-case for issue 3879 with a reduced test-case
#6587 Move VIEW_HISTORY_MEMORY constant to view_history.js
#6588 Better spacing in text layer.
#6586 Create a new indeterminate loading bar animation for the default viewer
#6591 Non/less flashing text layer during selection.
#6597 Ensure that the textLayer has the same dimensions as the canvasWrapper
      (issue 6596)
#6595 Uses document.currentScript for pdf.worker.js path.
#6590 Combines standalone chars into text groups.
#6601 Fixes incorrect PDF file font metrics.
#6602 Adding to authors
#6604 Add a reduced text test-case for issue 4665
#6607 Prevent readCmapTable from failing if the cmap is missing in TrueType
      fonts
#6608 Improve error message for non-existent local files
#6617 Correctly handle /FitH destinations with null as the parameter
#6620 Use random port in test webserver
#6318 For documents with different page sizes, ensure that the correct page
      becomes visible on load when e.g. the 'page' hash parameter was provided
      (bug 1191279, issue 6393)
#6600 Improve reliability of the test server
#6622 Remove mozcentral test files.
#6610 Replace the unavailable linked test-case for issue 2128 with a reduced
      test-case
#6625 Dispatch the pagerendered event when zooming is only done with CSS
      (issue 6463)
#6599 Generate better API documentation
#6629 Downgrade the JSHint version in order to fix linting failures on Travis
#6628 Ignore the /Mask entry in images unless its /ImageMask entry is
      explicitly set to true (issue 6621)
#6630 Fix minor capitalization issue in viewer

v1.1.469 - Sep 15, 2015

Changes:
#6273 Refactor annotation code to use a factory
#6285 Rename PatternType to ShadingType to avoid confusion
#6281 Keep the Link annotation's data URL on one line
#6292 Fix various shading pattern regressions (issue 6287)
#6270 Adjust the heuristics used to detect OpenType font file with CFF data
      (bug 1186827, bug 1182130, issue 6264)
#6222 Improve robustness of builder (esp. on Windows)
#6304 fix handling of flags 1-3 in coons shading
#6308 Apply hover style to .overlayButton not only when hovered, but also when
      focused.
#6310 fix handling of flags 1-3 in tensor shading
#6282 Add a PDFLinkService instance to the "simpleviewer" component example
#6315 Test case for tensor shading PR 6310
#6321 Removes PdfRedirector.js and PlayPreview support.
#6325 Version 1.1.366
#6314 Fix regressions affecting both the 'pagemode' hash parameter and certain
      'namedaction' types (PR 5971)
#6327 Prevent switching to disabled views (i.e. outline or attachments) in the
      sidebar
#6329 cmaps: Use cmap.forEach instead of Array.forEach
#6354 Fix typo in drawFigures, in webgl.js, which causes shadingPatterns with
      figure.type === triangles to render incorrectly
#6349 Fixes supportsMozChunked for node.js
#6233 Improve support for viewing PDFs from file://-URLs in the Chrome
      extension
#6366 Only take the fast-path in PDFImage_createImageData for un-masked JPEG
      images with "standard" colour spaces (issue 6364)
#6141 Provide a fallback for font rendering when not allowed to use eval
#6332 Serialize errors before invoking postMessage
#6370 api/getDocument: handle ArrayBuffer check for PDF binary data
      (byteLength)
#6372 Also check maybeLength when deciding if a stream is empty in
      Parser_makeFilter (issue 6360, bug 1191694)
#6375 Make XRef_indexObjects more robust against bad PDF files (issue 5752)
#6337 Adjust which TrueType (3, 1) glyphs we attempt to skip mapping of
      (issue 6336)
#6362 Add disableStream to the list of preferences read by
      PDFViewerApplication.initialize (issue 6361)
#6369 Add locatization notes for the DocumentProperties strings with
      parameters
#6358 Don't catch MissingDataException in Parser_tryShift
#6242 Allow outline to be collapsed / shown via +/-.
#6388 Use the Retina assets for outlineItemToggler when in HiDPI mode
#6390 Switch expanded/collapsed in the names of the treeitem-* assets
#6395 Fix typo in test_manifest.json that prevents test-case issue1419.pdf
      from running
#6401 Add a unit-test for skipping paintXObject if Subtype === PS (PR 4861)
#6386 Add a warning when we encounter an empty stream in Parser_makeFilter
#6404 Add unit-tests for Linearization dictionary parsing (PR 5023 follow-up)
#6403 Add a reduced test-case for issue 6113
#6399 Slightly improved test coverage for vertical text
#6402 Set TZ=UTC before calls to zip
#6405 Add a (linked) load test for PR 4731
#6357 Avoid more allocations for RTL text in bidi.js
#6417 Add (linked) load tests for PR 1976 and 4606
#6414 Ensure that the clipping path is reset when the state is restored (issue
      6413)
#6407 Fallback in readCmapTable, instead of using error, for TrueType fonts
      with unsupported cmap formats (bug 1200096)
#6421 Adjust the min-width of outline items and use more consistent
      border-radius (PR 6242 follow-up)
#6423 Add mirrored triangle (TOC item icon)
#6425 Only choose a (3, 1) cmap table for TrueType fonts that have an encoding
      specified (issue 6410)
#6431 Add a utility function, for the viewer, that removes null (\x00)
      characters (issue 6416)
#6433 Add unit-tests for stringToPDFString
#6420 Add a reduced test-case for PR 4922
#6427 Make get fingerprint slightly more robust against corrupt PDF files
#6299 Convert canvas thumbnails to PNG
#6441 Misc. follow-up fixes to PR 6299 (Convert canvas thumbnails to PNG)
#6443 Don't show thumbnails until the canvas to image conversion is done
      (issue 6442)
#6447 Add unit-tests for removeNullCharacters (PR 6431 follow-up)
#6435 Replace the unavailable linked test-case for issue 3205 with a reduced
      test-case
#6391 Fix text spacing with vertical fonts (#6387)

v1.1.366 - Aug 4, 2015

Changes:
#6131 Version 1.1.215
#6134 Ensure that we fetch all indirect objects (i.e. |Ref|s) in
      ColorSpace_parseToIR
#6138 Ignore paint form XObject when the name is missing (issue 4558)
#6147 Further improvements of the getStats and getDownloadInfo unit tests
#6146 Add a reduced test-case for issue 4909
#6150 Localization updates (June 29, 2015)
#6140 Move the page switching code into set currentPageNumber in PDFViewer
      instead of placing it in the pagechange event handler
#5947 Simplify B2G viewer
#6155 Update Adobe CMaps URL and license
#6135 Skip mapping of CIDFontType2 glyphs when the font either has a
      |IdentityToUnicodeMap| or a |toUnicodeMap| with 65536 elements
      (issue 5677)
#6171 Adds more characters to the PUA range
#6170 Zoom relative to cursor position via mouse wheel
#6173 Add more reduced test-cases for PR 6171
#6176 [CRX] Ignore PDFs from responses to POST requests
#6177 Pass in a PDFViewer instance to PDFPresentationMode and use it to
      eliminate all references to PDFViewerApplication
#6178 Remove InteractiveAnnotation abstraction
#6169 Bug 1179262 - Remove PlayPreview registration from PDF Viewer.
#6180 Do not draw a border if neither a Border nor a BS entry is present
#6175 fontLoadPromises -> fontsToLoad
#6181 Add --downloadOnly flag to test.js
#5918 [Firefox] Replace the CPOW with asynchronous messages for the Fallback
      bar
#6182 Remove the currentScaleValue getter from PDFViewerApplication
      (issue 6158)
#6192 Refactor the 'resize' event handler in viewer.js (issue 6158)
#6166 Add a supplemental glyph map for non-embedded ArialBlack fonts
      (issue 5801)
#6193 Issue a warning instead of an error for long Names
#6195 Remove PDFViewerApplication.updateScaleControls (issue 6158)
#6194 Subtract start offset for xrefs in recovery mode
#6110 Refactor viewer code to fix issues with the "pageviewer" components
      example (issue 6056)
#6197 Improve robustness of stream parser (invalid length)
#6199 Simplify the code that resets the value of the pageNumber element in
      PDFViewerApplication.setInitialView
#6198 Use taskkill to stop the browser on Windows in tests
#6187 A couple of improvements of getDestination (unit-test included)
#6207 Remove PDFViewerApplication.setScale and further simplify the
      scalechange event handler (issue 6158)
#6208 Fetch all indirect objects (i.e. Refs) in NameTree_getAll and
      NameTree_get (issue 6204)
#6214 Refactor annotation color handling and add unit tests
#6157 Make sure that the document is rendered on zooming and rotation for
      PDFViewer instances using the defaultRenderingQueue
#6221 Fixing find toolbar checkboxes not being accessible through keyboard
#6226 Update fonttools location and version (issue 6223)
#6220 Ignore double negative in Lexer_getNumber (issue 6218)
#6215 More cleanup regarding annotation border styles
#6201 [CRX] Respect download requests in main frame
#6196 Add --testfilter and -t flags
#6189 Improved build tools (preprocessor & postprocessor)
#6232 Simplify annotation data passing
#6235 Move handling of the 'custom' scale value from pdf_viewer.js to
      viewer.js
#6239 Refactor annotation rectangle code and add unit tests
#6254 Prevent documents from intermittently opening with the zoom level set to
      1% (issue 6253)
#6256 Ensure that the viewer always receives focus when the HOME/END keys are
      pressed (bug 1186842)
#6257 Remove unused globals and updateViewarea function from viewer.js
#6240 Check if the Decode entry is non-default when deciding if JPEG images
      are natively supported/decodable (issue 6238)
#6268 Optimize text layer: Avoid unneeded .textContent access
#6236 Detect scripted auto-print requests

v1.1.215 - Jun 17, 2015

#5815 Ensure that entries in the Differences array of Type1 fonts are either
      numbers or names
#5991 Update README.md with shorter clone command and improved instruction
      order
#6002 Version 1.1.114
#5867 Change |pages| to be a "private" property of |PDFViewer|
#6004 Bug 1163404 - Disables rAF for the printing.
#5898 Extract more accurate glyph heights from type3 fonts
#5910 Fix error reading concatenated pdfs
#5999 Bug 1122280 - Handle UTF-8 encoding in URI
#5989 Add the |location| to the |updateviewarea| UI event
#6015 Add a reduced test-case for issue 5896
#5857 Set page size via @page + size
#5995 Apply char spacing only when there are chars.
#6014 Fix scroll to zoom jump between 25% and 1000%
#5901 Fall back to the |defaultEncoding| when no valid "post" table is found
      in TrueType fonts (bug 1050040)
#6023 Remove unused require() directive
#6020 Tweak the :focus/:hover CSS rules of the .toolbarField class used in
      Overlay dialogs
#6024 [Firefox] Parse all JPEG images in the addon
#6016 Convert UTF8 encoded passwords to ISO-8859-1 for |R = 6| encryption
      (issue 6010)
#6030 Fixed the ShellJS version
#6026 Eliminate transition effects from thumbnail loader
#6025 viewer: Support Retina/HiDPI thumbnails
#6021 Refactor the test driver
#6054 [Firefox] Fix newChannel/asyncFetch fallout from bug 1167053
#6051 [Firefox] Re-add _getTabForBrowser compatibility hack for the addon
#6046 Extract correct PDF format version from the catalog
#5971 Extracts PDFLinkService and PDFHistory APIs
#6063 Tweak the PDFLinkService a bit
#6065 Always traverse the entire parent chain in Page_getInheritedPageProp
      (issue 5954)
#6062 Revert PR 6024 "[Firefox] Parse all JPEG images in the addon", since
      it's fixed upstream
#6080 Ensure that PDFHistory does not incorrectly replace the initial document
      hash (issue 6079)
#6082 Fetch parameters if they are |Ref|s in Pattern color spaces (issue 6081)
#5823 [Chrome extension] Add Referer request header if needed
#5990 Skip mapping of CIDFontType2 glyphs in fonts with a
      |IdentityToUnicodeMap|, unless |properties.widths| is defined for the
      glyph
#6088 Check availability of canvas & PDF before printing
#6089 Update README (Chrome & Opera section)
#5998 Don't map glyphs to certain problematic Thai/Lao Unicode locations
      (issue 5994)
#6076 Apply padding on , not the button
#6101 Add a test-case for issue 6099 - CalRGB color space where the parameters
      are a |Ref|
#6093 Slightly improved Crypto unit tests
#6091 Increase the font weight used for non-embedded ArialBlack fonts
#6090 Map missing glyphs to the notdef glyph for TrueType (3, 1) fonts
      (issue 6068)
#6112 Use the Alternate entry, if it exists, in ICCBased Colour Space
      dictionaries (issue 5836, issue 5939, issue 6055)
#6114 Ensure that the result of |constructStichedFromIRResult| is a number
      (issue 6113)
#6122 Fix a typo causing a TypeError when attempting to call
      pdfHistory_clearHistoryState (issue 6121)
#6125 Remove issue6113.pdf from the test-suite for failing intermittently in
      Firefox on the Linux bot
#6120 Clear the |getSinglePixelWidth| cache when rendering Type3 fonts
      (issue 6117)

v1.1.114 - May 6, 2015

#5851 V1.1
#5855 Remove broken links from hello world example
#5856 Improve the instructions for the 'hello world' example
#5844 Add a |PDFViewer| option to remove the border shadow around pages
      (issue 5559)
#5866 Add |pageActualOption| to the list of predefined zoom options in the
      |scalechange| event handler in viewer.js
#5749 Bug 1072350 - Removing CPOWs used by Find events.
#5705 Don't map glyphs to Unicode "Dotted circle" combining mark (bug 1108301)
#5878 PR 5749 followup
#5713 Create a IdentityToUnicodeMap in evaluator.js when toUnicode contains
      IdentityH/IdentityV
#5868 Add custom |outlineloaded| and |attachmentsloaded| events to the viewer
      (bug 1112947)
#5882 Don't map glyphs to Unicode position 0x0E33, i.e. Thai character SARA AM
      (bug1046314)
#5888 Remove reference to GNUpdf from comment in
      |DocumentProperties.parseDate|
#5886 Restrict logging of errors with verbosity level
#5895 Re-factor and clean-up some preference related code in viewer.js
#5881 Added the data-page-number dom attribute to the page rendered in the
      browser
#5899 add missing pt-BR page_scale_percent property
#5907 Provide only one browser manifest example
#5906 Fixed a small typo in the italian translation
#5911 Remove commented out code about |disableWorker| in the test suite
#5908 Read jshint version from package.json
#5914 Bug 1151303 - [zh-TW] Translation update proposed for
      browser/pdfviewer/...
#5913 [B2G] Stub the |DownloadManager| to avoid error
#5912 Remove ShellJS copy and use the NPM version
#5933 Remove commented out code from viewer.html
#5926 prevent viewer from zooming on cmd+mousewheel (bug 1018932)
#5936 Update .gitattributes
#5937 Crypt filter EFF key should have StmF value as default, not StrF
#5923 Don't map glyphs to certain problematic General Punctuation Unicode
      locations (bug 911034)
#5944 Fail with a more informative error message if the browser executable
      pat...
#5945 Use Int32Array instead of Uint32Array in FlateStream
#5917 Address review comments from Bug 1148192 - Update pdf.js to
      version 1.1.24
#5951 Bug 1156287 - Do not extract unreachable code after return
#5655 Avoid getting stuck in empty nodes in the Pages tree when calling
      |Catalog_getPageDict| (issue 5644)
#5699 Refactor the Presentation Mode code
#5756 Guess CIDFontType0 subtype based on font file contents (issue 5751)
#5963 Clarify bug reporting with regards to providing a pdf
#5809 Attempt to infer if a CMap file actually contains just a standard
      Identity-H/Identity-V map
#5959 Refactor document properties overlay
#5966 Enable linting of Firefox specific code in viewer.js
#5953 Remove no longer needed hacks that enable spacebar scrolling in Firefox
      (issue 3498)
#5905 Remove SpecialPowers addon
#5828 Fix flaw in mozCurrentTransform polyfill
#5977 Prevent Firefox from warning about |unreachable code after return
      statement|
#5598 Disable Range Support for Chrome 39+40 (#5512)
#5979 Revert #5603 regarding Chrome range request bug
#5964 Handle the Encoding being a dictionary in
      PartialEvaluator_preEvaluateFont (bug 1157493)
#5983 Bug 1152841 - make pdf.js viewer app handle open requests from file
      viewers

v1.1.1 - Mar 17, 2015

#5552 Creates/refactors PDFPageView class
#5603 Use Content-Range instead of Content-Length #5512
#5618 Version 1.0.1040
#5606 Add a |textlayerrendered| event
#5600 Implement guards for stringToBytes and bytesToString
#5622 Move the |pagerendered| event to pdf_page_view.js
#5554 Refactors getDocument and adds PDFDataRangeTransport.
#5632 Fixes B2G file open sequence.
#5627 Whitelists 'tel' schema.
#5631 Refactor searching for end of inline (EI) JPEG image streams
#5624 Base64 example and be more flexible what type of data is passed
#5638 Fix thumbnail scaling regression for files with different page sizes
      (issue 5637)
#5641 Prevent setting |isStandardFont| to |undefined| for non-embedded fonts
#5639 Attempt to display the File size quicker in the Document Properties
      dialog (PR 5554 followup)
#5646 Amend the docs for |disableAutoFetch| to mention that streaming must
      also be disabled
#5619 Chrome extension: Add options page
#5567 Add marker segment (PLT, PLM) and refactor TLM
#5659 Fix thumbnail rendering regression, when using |draw|, for PDF files
      with blend modes (issue 5637)
#5660 Fill temporary canvases with a white background too
#5511 Bug 639134 - update check for document colors
#5610 Better thumbnail image scaling
#5596 Fix border sizes around thumbnails
#5588 Remove unused anchor links placed before every page
#5671 Remove unused index.html.template
#5674 Avoid getting |childNodes| twice in PDFPageView_reset, by using the
      variable instead
#5672 Remove unused viewer-snippet-b2g-activity-header.html
#5675 Remove obselete file from .gitignore
#5669 Avoid out of range array access in JBIG2 decoder
#5673 Refactor the thumbnail code
#5679 Refactor the outline code
#5678 Refactor the attachment code
#5684 Make sure that an A entry in an annotation dictionary is also a
      dictionary itself
#5691 Use the |shadow| function from src/shared/util.js in viewer.js
#5634 Add support for TrueType (0, 0) cmap tables (issue 5501, issue 5574, and
      bug 1037973)
#5651 Try to skip mapping of missing TrueType and CIDFontType2 glyphs
#5717 Test case for issue 5567
#5729 Fix CCITTStream regression by byte-aligning rows before checking EOL
      marker
#5703 Relax the |isSymbolicFont| check for TrueType (3, 1) cmap tables
      (issue 5701)
#5743 Only skip the |!isSymbolicFont| check for TrueType (3, 1) cmap tables if
      no previous cmap table was found (PR 5703 followup)
#5763 Update to version 1.0.1149
#5748 Fetch parameters if they are a |Ref| in CalGray/CalRGB color spaces
      (issue 5747)
#5744 Fix regression that prevents resetting the zoom level to "Automatic"
      when using the |Ctrl + 0| keys
#5721 Move the call to |PDFFindController.resolveFirstPage| into PDFViewer
#5731 Skip fill bytes (0xFF) when decoding JPEG images (issue 5331)
#5711 Remove the |el| property in PDFPageView and PDFThumbnailView
#5586 Update thumbnails only when they are visible (to improve scrolling
      through large documents)
#5758 Add option to open external links in new window
#5693 cleaned whitespace
#5769 nbsp normalization
#5680 Reset state upon load if showPreviousViewOnLoad
#5771 Remove unused isNull utility function
#5778 Add a |text| test-case for issue 5421
#5734 Lower space factor threshold
#5806 Add a reduced test-case for issue 5734
#5802 Embedded Viewer Should Not Override Page Title
#5770 Correctly detect OpenType font files with CFF data
#5819 Using newChannel2 instead of newChannel in the extension.
#5595 Use binary search in getVisibleElements()
#5582 Fix handling of "Fit" zoom values in setHash (issue 5581)
#5692 [l10n] Treat language as case-insensitive
#5821 Correctly detect the presence of the Adobe specific APP14 JPEG marker
      (bug 1140761)
#5826 WebL10n update (March 2015)
#5829 Fixes minor typo from #5826
#5785 Revert PR 5510, except in WebKit browsers, for breaking print preview in
      Firefox
#5838 Make presentation mode work again in Safari
#5525 Disable PresentationMode for certain problematic configurations
#5843 Enable OPS.setHScale in the SVG backend
#5848 Fix the node getinfo.js example

v1.0.1149 - 2015-02-20

#5552 Creates/refactors PDFPageView class
#5603 Use Content-Range instead of Content-Length #5512
#5618 Version 1.0.1040
#5606 Add a |textlayerrendered| event
#5600 Implement guards for stringToBytes and bytesToString
#5622 Move the |pagerendered| event to pdf_page_view.js
#5554 Refactors getDocument and adds PDFDataRangeTransport.
#5632 Fixes B2G file open sequence.
#5627 Whitelists 'tel' schema.
#5631 Refactor searching for end of inline (EI) JPEG image streams
#5624 Base64 example and be more flexible what type of data is passed
#5638 Fix thumbnail scaling regression for files with different page sizes
      (issue 5637)
#5641 Prevent setting |isStandardFont| to |undefined| for non-embedded fonts
#5639 Attempt to display the File size quicker in the Document Properties
      dialog (PR 5554 followup)
#5646 Amend the docs for |disableAutoFetch| to mention that streaming must
      also be disabled
#5619 Chrome extension: Add options page
#5567 Add marker segment (PLT, PLM) and refactor TLM
#5659 Fix thumbnail rendering regression, when using |draw|, for PDF files
      with blend modes (issue 5637)
#5660 Fill temporary canvases with a white background too
#5511 Bug 639134 - update check for document colors
#5610 Better thumbnail image scaling
#5596 Fix border sizes around thumbnails
#5588 Remove unused anchor links placed before every page
#5671 Remove unused index.html.template
#5674 Avoid getting |childNodes| twice in PDFPageView_reset, by using the
      variable instead
#5672 Remove unused viewer-snippet-b2g-activity-header.html
#5675 Remove obselete file from .gitignore
#5669 Avoid out of range array access in JBIG2 decoder
#5673 Refactor the thumbnail code
#5679 Refactor the outline code
#5678 Refactor the attachment code
#5684 Make sure that an A entry in an annotation dictionary is also a
      dictionary itself
#5691 Use the |shadow| function from src/shared/util.js in viewer.js
#5634 Add support for TrueType (0, 0) cmap tables (issue 5501, issue 5574, and
      bug 1037973)
#5651 Try to skip mapping of missing TrueType and CIDFontType2 glyphs
#5717 Test case for issue 5567
#5729 Fix CCITTStream regression by byte-aligning rows before checking EOL
      marker
#5703 Relax the |isSymbolicFont| check for TrueType (3, 1) cmap tables
      (issue 5701)
#5743 Only skip the |!isSymbolicFont| check for TrueType (3, 1) cmap tables if
      no previous cmap table was found (PR 5703 followup)

v1.0.1040 - 2015-01-03

#5420 Update l10n files (October 2014)
#5422 Avoid rendering invisible Type3 fonts (issue 5421)
#5418 Fix error in WidgetAnnotation
#5350 For JPX decoding only read next packet after checking for byte aligning.
#5433 Version 1.0.907
#5401 Add a reduced test case for bug 847420
#5390 Add a reduced test case for PR 5286
#5426 Fix JPX "Out of Packets" Error (issues 4358, 4659, 4814)
#5438 Add fkaelberer to the list of authors
#5409 Black text not visible #5291
#5443 Add a reduced test case for issue 5291
#5447 [issue 5440] fix rtl direction bug for full language codes
#5437 Change bug878194 to an |eq| test
#5454 Fix regression that prevents downloading of font files in the debugger
#5471 Fix typed array assignment in the |constructPostScriptFromIRResult|
      function (issue 5470)
#5428 Bug 1076909 - change args order in registerAddonHistogram.
#5416 Allow localization of the placement of percent signs in the zoom box
#5203 Fix loadingBar hiding when disableAutoFetch is enabled (issue 3590)
#5478 Prevent text selection in Presentation Mode (bug 1018882)
#5473 Use fewer multiplications for Ycck to Rgb conversion
#5485 fixed multi precinct handling in jpx
#5492 Fixes typo in webgl.js
#5488 Prevent a "TypeError: pdfViewer is null" when the viewer loads
      (PR 5413 followup)
#5465 [GENERIC viewer] Fix the background color of the findInput when the
search term is not found
#5516 Fallback to the |Dummy| Pattern when we fail to parse a Shading Pattern
      (issue 5509)
#5507 Fix passing null as onFullfilled (which is broken in Chrome(-ium) 32)
#5523 removed rounding of values in composeSMaskLuminosity
#5524 Increases chunk size in SMask composition to 1M pixels
#5528 Add a (linked) test case for bug 1064894
#5448 Added try/catch #5427
#5449 Use 3 param method for converting r,g,b into css string.
#5532 Add a (linked) test case for bug 1108753 (PR 5276)
#5508 Refactor searching for the SOI marker of inline JPEG image streams
#5445 Fixes caching of inline images during parsing.
#5406 [Firefox] Enable linting of *.jsm files and update the code style in
      extensions/firefox/content
#5549 Support EPH and SOP markers.
#5551 Remove the link to the AMO extension from the README
#5553 Two JPX test cases for recently merged PRs
#5383 Fix searching for end of inline (EI) images with ASCII85Decode filters
      (bug 1077808)
#5494 Support all progression orders
#5510 Added page break hints in viewer css.
#5463 Add basic support for non-embedded Wingdings fonts
#5379 Don't map glyphs to unicode non breaking space.
#5562 Test case for issue 5481
#5446 minor improvements and code cleanup for canvas.js
#5536 Add fallback for non-embedded "Century Gothic" CIDFontType2 font
      (issue 4722 and bug 879561)
#5214 Improves rendering performance of annotation layers.
#5566 Fixed empty packet parsing bug
#5569 Remove unused annotation highlight div
#5578 Update linting on Travis to cover *.jsm files (PR 5406 followup)
#5571 Remove unused hasOperatorList code
#5594 Add a reduced test case for issue 4379
#5597 CCITTFaxStream: fix regression when EncodedByteAlign is true and
      EndOfLine is false
#5602 Ensure that |get fingerprint| doesn't fail if the ID is not an array
      (issue 5599)
#5382 Fix the placement of arrows in the zoom box
#5612 Add missing comma to German add-on description

1.0.907 - 2014-10-15

#5209 Set transformOrigin for text layer in css.
#5219 Avoid creating intermediate strings in sanitizeMetrics
#5232 Chrome extension: Isolate pageAction logic
#5240 In src/display/api.js, add documentation for the |progressCallback|
      parameter in |PDFJS.getDocument|
#5242 Fix for minutes tz calculation in document properties
#5237 Fix the placement of the findInput loading indicator in RTL locales
#5259 Handtool: Remove focus from previous node on click
#5251 Add basic support for ZapfDingbats
#5249 CCITTFaxStream parser: resolve xref if needed
#5260 Add more cases to |mapSpecialUnicodeValues| to fix the rendering of
      various Symbol encoded brackets
#5267 Version 1.0.712
#5226 Fix Zoom box resizing when it's hidden when the viewer loads (issue
5224)
#5248 Add getStats unit test
#5276 Fix handling of RGBA buffers in CalRGB colorspace (issue 5270)
#5235 Remove a duplicate PDF file from the test suite
#5221 Don't scale single-char text divs.
#5281 Fetches params in makeFilter
#5229 Auto zoom landscape documents (like slide presentations) to fit their
      height
#5271 Opera fixes
#5247 Fix links to wiki subsections and remove TextDecoder feature tests
#5284 Fetch decodeParams if it's a |Ref| in JBIG2Decode streams
#5289 Fixed typo in core/jpx.js #5227
#5287 Bug 1031612 - In PDF Viewer, the buggy XMP title "Untitled" overrides
      the document info title
#5286 Fix loading of inline JPEG images
#5254 Avoid showing 'blob..' as a title when using pdfjs from B2G
#5233 Workaround for TrueType fonts with exotic cmap tables (bug 1057544)
#5302 Removes examples from jsbin.com
#5275 Fix the exception propagation when rejecting workerReadyCapability
#5245 Further amend GlyphMapForStandardFonts (issue 5244)
#5115 Firefox pdf viewer support for e10s (Bug 942707).
#5306 Update zh-TW translation
#5305 Miscellaneous e10s fixes
#5315 Adds preprocessor directive to the X-Content-Security-Policy stuff
#5317 Bug 1064496 review changes
#5312 For |make firefox/mozcentral| builds, add cleanupJSSource to remove
      duplicate file headers in extensions/firefox/content/PdfjsChromeUtils.jsm
#5320 Merge of the #5311 and #4956
#5311 Lowerize the params to allow case sensitive
#5321 Fixes milestones link in README.md and adds pdfBugEnabled to the Chrome
      extension preferences
#5318 textLayer is not used anymore in render context
#5327 Builds distribution package for npm and bower.
#5330 Improve the getData unit test
#5314 Fixes names collisions in content.js
#5282 TextLayer selection coloring improvement for overlap.
#5337 Fix a regression preventing page change in the Stepper in the debugger
#5335 Fix text highlighting in the Font Inspector in the debugger
#5339 Adds readme file for the pdfjs-dist repo.
#5308 Add support for MMType1 fonts with embedded font files
#5263 Implement streaming using moz-chunk-arraybuffer
#5346 Misc follow ups on the streaming requests
#5250 Fix Symbol fonts without font file but with Encoding dictionary
      (issue 5238)
#5295 Refactoring to move page display code into separate class
#5359 Fixes typo/regression of #5295 for presentation mode
#5360 Followup fix for entering/exiting Presentation mode
#5361 Moves scrollPageIntoView to the PDFViewer.
#5362 Use CSS import to separate pdfviewer styles
#5363 Packages PDFViewer as a UI component.
#5367 Fixes enabling pdfBug
#5366 Use font loader api
#5368 Fixes printing regression a10fde1
#5373 Disables streaming in the extension when length is undefined.
#5369 Fix inconsistencies in the preference names used by PDFViewerApplication
#5371 Fix disableAutoFetch regression in the generic viewer
#5364 Firefox addon: Use isContentWindowPrivate instead of isWindowPrivate if
      available
#5374 Fix |cleanup| regression in the viewer
#5376 Adds optional argument to FontFace contructor call.
#5351 Require destinations when they are needed and do not fetch all of them
      in advance
#5352 Use |toUnicode| when creating the glyph map for standard CIDFontType2
fonts without embedded font file
#5325 Update findbar to wrap on initial search
#5399 Fix "Automatic Zoom" for landscape documents with very wide pages (issue
5398)
#5396 Bug 1071709 - 5-30% TART / Session Restore regressions on Inbound (v.35)
      september 22 from rev d3a7f765152f
#5395 [Firefox] Use getTabForBrowser instead of _getTabForBrowser if possible
#5402 Refactors PdfDataLister buffering.
#5407 Package.json update
#5413 Disable zooming in Presentation Mode
#5414 Bug 1072164 - Fixes decoding for CMYK jpegs.

1.0.712 - 2014-08-19

#5075 fix typo
#5080 Version 1.0.473
#5081 Fixes typo in promises implementation for legacy browsers
#5078 Optimize Ref_toString().
#5083 Initialize PDFView.url = ''
#5034 [SVG] Adds clip operator, fixes setGState, fill, stroke operators
#5074 Use Array.join to build up strings in readPostScriptTable().
#5077 Fix loading of PDF files with invalid or missing Type3 characters
	(issue 5039)
#5088 Stop including cidmaps.js
#5023 Re-factor parsing of the Linearization dictionary
#5063 Avoid creating intermediate strings in the PostScriptLexer
#5096 Right-size |chars.length| and |type.length| in bidi().
#5099 Add a reduced test-case for bug 1027533
#5059 Removing unused code and enforcing additional JSHint options
#5090 Re-run feature detection after downgrading the Chromium browser.
#5103 Add a reduced test-case for issue 4800
#5104 Use CSS.supports instead of '..' in ....style
#5082 Managed preferences for Chrome administrators
#5106 Attempt to fix Travis
#5105 Add a couple of reduced test-cases for PR 4259
#5101 Avoid expensive for..in loops involving CMaps
#5109 Use strict equalities in test/*
#5110 Fix JBIG2 decoding issue #5026
#5108 Use strict equalities in web/*
#5112 Add strict equalities in src/shared/*
#5113 Add strict equalities in src/display/*
#5116 Add strict equalities in src/core/* (part 1)
#5119 Use strict equalities in make.js, external/* and extensions/*
#5121 Use strict equalities in src/core/{image, jpx, jpg, jbig2}.js
#5120 Add strict equalities in src/core/* (part 2)
#5125 Add strict equalities in src/core/* (part 3)
#5122 Enforce strict equalities with JSHint
#5127 Fix issue where pdfDocument is null
#5129 Add reduced test-cases for issues 4875 and 4881
#5111 Represent cid chars using integers, not strings.
#5136 Properly set this.eof in CCITTFaxStream
#5134 Improves speed of the functions
#5008 Make QueueOptimizer easier to read.
#5095 Adjust the heuristics to recognize more cases of unknown glyphs for
	|toUnicode| (issue 5070)
#5007 Converting PDFFindBar and PDFFindController to classes
#5071 Optimize a font-heavy document
#5141 Fixes lint errors
#5140 Removes some bind() calls from fetchAsync
#5137 Optimize TextLayerBuilder_renderLayer() for text heavy documents.
#5135 Make IdentityCMaps more compact.
#5100 Load file:-URLs in the main thread.
#5142 Fixes text-selection example
#5143 Simplify text-selection example.
#5145 Revert commit 9a41659 (PR 5005) for breaking the loading of certain PDF
	files in the Firefox addon when range requests are active
#5149 Fixes CCITTFaxStream regression
#5114 Faster JBIG2 bitmap decoding
#5158 Change Rob's email address
#5157 Disable spellcheck in Chromium's URL popup
#5151 Avoid repeated creation of a simple RegExp object.
#5156 Fixes a regression from PR 4982
#5153 Preserve reference fragment in Chromium URL router
#5154 AES cipher: make padding optional
#5162 [SVG] Reduces amount of used memory during PNG creation.
#5147 [SVG] Adds image and mask features, fixes clippath
#5164 Nit fixes for svg.js
#5150 Fix #4935
#5160 only convert in IE9 if the requested responseType is actually an
	arraybu...
#5163 Refactoring of OpenType/TrueType font construction
#5166 Remove old unused code from PDFView.close()
#5170 [SVG] Uses float number formatter to print numbers in SVG
#5171 Fix typo
#5169 Attempt to display the File size quicker in the Document Properties
	dialog
#5175 Disable the "Go to First/Last Page" buttons when the first/last page is
	currently active
#5174 Add even more unit tests for the API
#5172 Avoid an allocation in readCharCode().
#5177 Remove two instances of leftover console.log debug statements
#5179 Miscellaneous code improvements for svg.js
#5180 Minor changes for api.js, font_loader.js and svg.js
#5183 Adds width at the beginning of the Type2 charstring
#5185 Fix CMap unit tests
#5182 SVG Command line tool for exporting output
#5188 Refactors some SVG api and includes svg.js in the build
#5184 Use cff glyph width in the hmtx table
#5191 Right-size the array in getSampleArray().
#5168 Avoid unnecessary array allocations in EvaluatorPreprocessor_read().
#5187 Reduce ASCII checks in makeInlineImage().
#5186 Fix the error handling for CMaps that fail to load
#5181 Optimizes defaults for svg.js
#5165 implement CalRGB color space
#5192 Ignore setGState no-ops.
#5194 Remove position: absolute from text divs.
#5195 Add unit test for PDF file loaded as typed array
#5198 Implements paintFormXObject in svg.js
#5199 Bug 1054590 - [pdf.js] Update to use gaia-header
#5200 CalRGB: optimize CalRGB calculations
#5201 Small re-factoring of DocumentProperties
#5205 Remove setGStateForKey() closure.
#5193 Only use data-font-name attributes when necessary.
#5210 Fixes Type3 negative font direction
#5208 Debounces scroll events in web viewer.
#5212 Fix ensureByte() function name (copy-and-paste error)
#5204 Apply the GRAYSCALE_1BPP optimization when needsDecode is set.

1.0.473 - 2014-07-22

#4879 Version 1.0.277
#4851 Added more preferences for the available hash parameters.
#4866 Removes mozResponseArrayBuffer
#4876 Prevent adding undefined array entries to CMap.map in mapRangeToArray
        (issue 4875)
#4835 Prevent font error when no preferred cmap table is found (workaround for
        issue 4800)
#4886 Adds color components decoding to the JPEG
#4891 Fixes typo in getAsync
#4889 Optimized loops in JPG conversion.
#4868 Added a base64 transparent gif image to links for IE
#4894 Optimize JPG.js receiveAndExtend for 1 bit case.
#4896 Deleted unused variables in jpgjs buildComponentData.
#4897 Optimization for FlateStream_getCode, making more pdfs parsable.
#4902 Prevent infinite loop when scanning for endstream (bug 1020226)
#4907 add object id to streams to prevent infinite loops.
#4892 Fixes masked JPEG image
#4867 Fixes murmurhash for old webkit.
#4895 Small optimizations 1
#4870 Enable browser cache when running test server
#4910 Handle cases where the fontName contains non-alphanumeric characters
        (issue 4909)
#4912 Fixes optional backdrop regression
#4917 Fixed base64 image in CSS
#4920 Zero the height and width of the PageView canvas before deleting.
#4922 Return ErrorFont in loadFont when the fontRef is undefined
#4915 Fix #4914
#4925 Protects PDFJS.disableXXX == true from change
#4864 Translate statcmp.py to JavaScript
#4928 Removes statcmp.py
#4929 Imports most recent l10n files
#4930 Re-add Attachment strings to the Swedish l10n
#4932 Cache pages at the start of drawing, not the end.
#4924 Fixes drawImage for thumbs
#4933 Fix mishandling of incomplete, inverted masks.
#4834 Limit the size of canvases to 5MP (iOS restriction)
#4937 Halve the size of the PageView cache.
#4936 Fix PageView cache re-insertions.
#4938 Added support for decrypting PDF 1.7/2.0 Algorithm 5 revision 5 and 6.
        (perf)
#4939 Fixes JPX COC support / JPX error reporting refactoring
#4942 Add larger zoom values to zoom dropdown box
#4941 Prevent rendering unnecessary pages when the HOME/END keys are pressed
#4952 Collect More Telemetry Data
#4955 Renames concatenateToArray to appendToArray
#4959 Zero the height and width of cached canvases before deleting them.
#4950 Faster JPEG transform
#4951 Added getOperatorList to api.js
#4946 Refactor fake worker loading (issue 3862)
#4962 Increases page cache size when needed
#4961 Disables broken rAF on iOS
#4966 Add ChunkedStream.ensureByte().
#4965 Splits shared/annotation.js into core/ and display/
#4969 Implements onerror for JpegStreams
#4970 Fixes AnnotationUtils in the extension build
#4968 Build up textChunk.str more efficiently.
#4972 Avoid allocating return object in EvaluatorPreprocessor_read().
#4971 Removes error catch from fetchUncompressed()
#4945 Let Parser_makeFilter return NullStream when an invalid stream is
        encountered (issue 3417)
#4973 Factor out repeated Ref key string generation code.
#4979 SVG Viewer Example demo
#4981 Misc SVG Viewer example fixes
#4987 Refactoring PDF find controller and implementing page content and query
        normalization
#4982 Use null instead of [] for ops with no args.
#4991 Refactoring text layer builder and converting text layer builder to a
        class
#4944 Don't blindly trust toUnicode when building toFontChar for non-standard
fonts without a font file (issue 4934)
#4976 Restructured EvaluatorPreprocessor_read to be more natural.
#4980 Additional heuristics to recognize unknown glyphs for toUnicode (bug
        1027533)
#4993 Group 'rectangle' operator into constructPath
#4999 [SVG] Optimization of save/restore usage, Addition of paint methods
#4997 Fixes CanvasPixelArray set polyfill (#4974)
#5001 Do not run cleanup while printing is ongoing.
#5004 Improving CanvasPixelArray polyfill for Android
#5000 [SVG] Optimization of constructPath & Adds unit lengths
#5017 [CIDFontType2] Map characters missing in toUnicode to the private use
        area (bug 1028735 and issue 4881)
#5014 A few small font optimizations
#5025 Improve how DecodeStream handles empty buffers.
#5050 In the reftest analyzer, make it possible to toggle "Circle differences"
        with the D key
#5033 Avoid creating intermediate strings in Util.makeCssRgb().
#5015 Zero the height and width of the WebGL canvases on cleanup
#5005 Faster chunkedStream_getByte()
#5021 Fixes mesh fill pattern with optional matrix
#5062 Adjust the tabindices in the viewer
#5037 Add |fillRgb| method to LabCS
#5012 Prevent CMapFactory.create from failing by passing the necessary
        parameters from PartialEvaluator_readToUnicode (issue 5010)
#5068 Adds ImageData set support for legacy safari
#5069 Revert commit fc73e2e (PR 5005) for breaking certain PDF files
#4995 Fix another seac regression (issue 4801)

1.0.277 - 2014-06-02

Changes since last update:
#4520 Force default icon size for Text annotations without appearance stream
#4663 Version 1.0.68
#4645 Only handle scroll events when PDFView.pdfDocument is defined (issue
	4642)
#4666 PDFImage_resize: copy in place with alpha and ~5x speed up
#4675 Dutch translations for attachments strings
#4674 Move DocumentOutlineView and DocumentAttachmentsView to their own files
#4671 Guesses Type1C font type based on file content
#4679 [Firefox] Workaround for sessionStorage error when the preference
	network.cookie.lifetimePolicy is set to 1 (bug 1000777)
#4686 Converts attachment items to buttons instead of links
#4697 Fix the display of the indeterminate progress bar when the loaded
	percentage is NaN (issue 4696)
#4687 Providing content type for attachment downloads
#4676 Force Unix line endings for text files
#4692 Add support for setting multiple values at once in ViewHistory
#4528 Less color conversion
#4693 Ensure that the viewer loads even if there are errors when the
	preferences are read
#4699 Reduces memory used during testing
#4669 Add a preference to set the sidebarView on load
#4689 Fixes DownloadManager for IE10 and above
#4701 Prevent trying to map characters to the specials unicode block in
	adjustMapping (issue 4650)
#4707 Link to FAQ from startpage
#4700 Reject polyfill and createPromiseCapability
#4705 Refactor how the database is read in ViewHistory
#4716 Amend GlyphMapForStandardFonts to fix issue 4276
#4709 Remove legacy promises from api.js
#4667 Remove LegacyPromise in src/core/chunked_stream.js
#4721 Tiny updates
#4724 Fixes cancel rendering regression
#4730 Fixes disableWorker regression
#4731 Fixes rendering of PDFs with nested trailer dictionary
#4725 Remove LegacyPromise in src/core/pdf_manager.js
#4727 Remove LegacyPromise in src/shared/annotation.js
#4726 Remove LegacyPromise in src/core/core.js
#4728 Remove LegacyPromise in src/core/worker.js
#4729 Remove LegacyPromise
#4733 Completes unit tests for PostScript evaluator and fixes two bugs in the
	evaluator itself
#4708 Graphic optimizations 1
#4732 Fixes tests for #926 and #2537
#4750 Reduce the number of resources loaded by GetDoc
#4756 Add getFindBar for Fx extension (refactor)
#4753 Add getFindBar for Fx extension
#4759 Refactoring annotation.js and removing old TODOs/comments
#4683 Groups path commands into single operation
#4763 Uses rAF to interrupt the operator list execution
#4767 Removes unused code from web/compatibility.js
#4740 Adds pageviewport documentation
#4769 update DE translation (attachments)
#4738 Allow unsafe-eval to fix font renderer in Chromium extension
#4771 Fix typo when rejecting Promise in getPage
#4768 Handle more cases of invalid line dash patterns in annotation borders
#4772 Reduce the number of calls to PDFView.getVisiblePages from
	updateViewarea
#4781 Move jshint & yargs to devDependencies
#4784 Switch to Node.js 0.10
#4783 Use jQuery 2 in examples
#4782 Remove type="text/javascript" from script tags.
#4777 Refactor the CSS rules for the overlayContainer
#4752 Refactors MessageHandler.send to remove callbacks
#4793 Fix regression that prevents downloading the PDF file (PR 4752)
#4796 Check if the Names dictionary actually contains a Dests dictionary
	before attempting to get the destinations
#4795 Add unit test for getData
#4736 Build paths for glyph accents when drawing text as curves
#4797 Update text layer correctly when zooming with USE_ONLY_CSS_ZOOM
#4764 Graphic optimizations 2
#4549 / support in Chrome / Opera
#4799 Handle nested post script arguments in the preprocessor
#4773 Simplify Jbig2Image.decodeInteger()
#4812 Add more unit tests for the API
#4809 Fix loading of fonts with empty font files (bug 866395 and issue 3522)
#4808 Fix strange looking buttons in mobile Firefox
#4770 Adds Promises to getOperatorList
#4817 Graphic optimizations 3
#4815 Refactors loadFont for translateFont be async
#4821 Fixes regression in the cleanup
#4826 Wrapped localstorage.setItem in try block to avoid uncaught exceptions.
#4831 Adds some addon/mozcentral files to the preprocessor
#4824 Moves colorspace.js and function.js into core/
#4829 small optimizations in parser.getObj(), lexer.getObj()
#4845 adjust the aurora path in the tests browser.json
#4823 Simplify the interaction with overlays by adding an OverlayManager
#4850 Small comment fix
#4833 OpenAction support for printing
#4857 Making sure we are not importing CRs and BOMs
#4858 Bug 1015115 - switch to cloneInto in pdf.js
#4856 [OverlayManager] Add preventDefault to the keydown event handler
#4832 Refactors showText: split type3, remove showSpacedText
#4861 Fixes unhandled XObject subtype PS error
#4803 [WIP] Update web/compatibility.js
#4865 Adds compatibility.js to the Firefox extension
#4877 PdfRedirector checks if plugin is still in PlayPreview mode

1.0.68 - 2014-04-22

Changes since last update:
#4621 Setting empty tooltips for zoom select box items
#4628 Ensure that the errorWrapper is closed when a new document is opened
	(issue 4625)
#4622 version 1.0.21
#4607 Remove a bunch of unused local variables from web/ and src/
#4552 Prevent the annotationLayer from being recreated when the page is
	redrawn
#4538 Less copying in the JPX decoder
#4633 Fixes spacing in the text layer builder
#4636 Rename getUint32 to getInt32 and collect readInt*() in util.js
#4640 Fix special powers add-on for firefox.
#4637 Fix #3483 and simplify readCodingpasses()
#4638 Recognizes ASCII type1 encoding
#4641 Fixes invalid CFF name for Mac OSX
#4646 Update of zh-TW
#4644 Add Attachment strings to the Swedish l10n
#4656 Fix regression preventing the setting of breakpoints in the Stepper
	(PDFBug)
#4653 Fix corrupted images #4649
#4655 Add integer conversion to RGB colour values in convertToRgb in
	DeviceCmykCS (issue 4443)
#4654 Basic node.js example that demonstrate pdf.combined.js file use
#4600 Optimized JPX decoder ~6% faster

1.0.21 - 2014-04-14

Changes since last update:
#4535 Avoid drawing text when the font size is zero (issue 4484)
#4512 Clean up duplicate string conversion functions
#4539 Workaround for missing 'Rect' entry in annotation dictionaries (issue
	4537)
#4554 Better test process killing for Windows
#4546 Prevent the Document Properties from being empty when the dialog is
	opened before the file has started loading
#4524 Use full screen width in presentation mode
#4545 Use new Chromium APIs for FTP and redirects
#4482 Rewrite 'Preferences' to make it async
#4516 Added CSS rules to improve scrolling on iOS devices
#4455 Fix download button waiting if document has started but not completed
	downloading
#4559 Refactors history and how the database is stored
#4563 Test with opera
#4565 Read color info from JPX stream + fix color problem #4540
#4286 WebGL and misc memory optimizations
#4374 Doesn't traverse cyclic references in Dict.getAll; reduces empty-Dict GC
#4578 Workaround for cases where FontName in the FontDescriptor differs from
	BaseFont in the Font (bug 847420)
#4569 Handle 'space' character correctly in MacRomanEncoding (bug 878026)
#4423 Treat fonts with the same font descriptor and encoding as aliases
#4574 Handle 'space' character correctly in WinAnsiEncoding (bug 850854)
#4568 Jpx optimization
#4570 Build the text layer geometry on the worker.
#4587 Fixes text-selection example
#4584 Create the WORKER_SRC_FILES and EXT_SRC_FILES lists in make
#4585 Redo and add more documentation to gh-pages.
#4593 Fix version numbers.
#4590 Relaxes murmurhash array requirement.
#4589 Remove leading and trailing spaces from info.Producer and info.Creator
	when printing debug info in the console (bug 872827)
#4556 Use Opaque Canvas
#4577 Removes custom test/reporter.js from the lint process
#4550 Heuristics to recognize the unknown glyphs for toUnicode
#4588 Adds text-only example
#4597 Print WebGL status in the console
#4595 Append whitespace divs so matches still line up.
#4602 Introduces .jshintignore
#4601 Fixes documentation for PDFPage.render
#4599 Adds then method to the RenderTask
#4596 Fix seac regression.
#4598 Work-around for filesystem:-URL bug
#4604 Fixes broken link in the documentation
#4605 1.0 release.
#4611 Exclude B2G stubs from linting
#4612 Fixes number of glyphs in the generated font
#4606 Makes PDF files load when xrefEntry is undefined
#4614 Refactor - remove redundant function and all references
#4617 Changes 'documentload' event behavior.
#4618 Refactoring - remove duplicated code in TextLayerBuilder
#4616 Creates make.js code to build jsdoc.
#4613 Refactors buildImage to use Promise; don't draw bad images
#4581 Check that images have valid dimensions (issue 4575)

0.8.1334 - 2014-03-31

Changes since last update:
#4437 Fixes corrupted by Aspose fonts
#4444 Estimate the size of decoded streams in advance.
#4451 Makes firefox extension's l10n get() behavior similar to webL10n
#4426 Making extensions/chromium/*.js adhere to the style guide
#4434 Jbig2 optimizations
#4460 Fix coding style in external/builder/builder.js
#4465 Fix coding style in src/display
#4467 Fix coding style in /test
#4468 Fix coding style in make.js
#4454 Fix gaia css lint errors.
#4463 Fix copy-paste typo
#4473 Prevent infinite loop in CFFParser_parseHeader
#4477 Fixes HiDPI icons of the secondary toolbar for Chrome
#4440 refactor src/core/pdf_manager.js: rename pdfModel to pdfDocument
#4470 CMaps binary packing
#4447 Allocate fewer objects
#4464 Fixes pages without Resources in their dictionary
#4481 refactor src/core/pdf_manager.js: rename pdfModel to pdfDocument
#4488 Sync pt-BR translations with l10n-mozilla-aurora
#4474 Introduce paintSolidColorImageMask command to handle 1x1 solid image
#4453 Add a cache for glyphs
#4478 Use a vanilla array for fnArray
#4452 Making src/core/{image,obj,parser}.js adhere to the style guide
#4493 Fixes ignoring of the escaped CR LF
#4497 jpgjs performance improvements
#4503 Fix coding style in src/core/fonts.js
#4508 Fix coding style in extensions/firefox
#4507 Fix coding style in src/core
#4505 Making src/core/evaluator.js adhere to the style guide
#4509 Update lint config to enforce braces for single line statements
#4501 [Firefox] Lazy load network.js in PdfStreamConverter.js
#4517 Fixes for small colour variations in tests
#4511 Fix for #3181: jbig2 encoding for number of instances greater than 1
#4518 [Firefox] Stop importing default_preferences.js as a module and include
	it instead
#4466 Faster 1 bpp image drawing
#4504 Import l10n files from mozilla-aurora
#4525 [Firefox] Only load 'PdfStreamConverter' and 'PdfRedirector' when PDF.js
	is enabled
#4527 Partially reverts #3641
#4519 Cleaning up the viewer and pdfbug; fixes bugs in Stepper
#4515 Replaces test.py with test.js
#4529 Fix error message typo
#4521 Assign non-zero width/height to all rectangles (issue 4260)
#4541 Cools down Chrome/Windows during testing
#4543 Fixes lint for windows; adds test/font/fontutils.js
#4542 Fix typo/unused argument in fontloader.js->spliceString()

0.8.1181 - 2014-03-13

#4392 Fixes CSS for webkit
#4399 Fixes infinite loop in DecodeStream_ensureBuffer()
#4397 Fix JPX colors
#4393 Fix scrolling using Shift+Spacebar in Firefox
#4404 Fixes off-by-one error when finding missing endstream
#4318 Improved annotations' display/behavior.
#4412 Making src/core/bidi.js adhere to the style guide
#4414 Add braces to single line statements in src/shared
#4416 Fixes typo in function.js
#4413 Making src/core/ps_parser.js adhere to the style guide
#4417 Making all examples adhere to the style guide
#4418 Making src/core/crypto.js adhere to the style guide
#4421 Making src/display/{metadata,font_loader}.js adhere to the style guide
#4422 Making src/core/jbig2.js adhere to the style guide
#4424 Fix coding style in /web
#4425 Making src/core/jpx.js adhere to the style guide
#4433 Move globals in web/pdf_find_bar.js
#4406 Improve image mask handling again
#4442 Update index.html
#4405 Avoid unnecessary re-reading of streams
#4446 Follow JMPR op only if outside of FDEF and IF
#4431 Extract arithmetic decoder to own file
#4420 Removing set-presence-in-ImageData check from canvas.js
